Revisions for ⁨Numlock hook for systemd-boot⁩

View the changes made to this paste.

unlisted ⁨2⁩ ⁨files⁩ 2023-06-12 12:10:28 UTC

/usr/bin/numlock

@@ -0,0 +1,5 @@

+#!/bin/bash
+
+for tty in /dev/tty[0-9]; do
+    /usr/bin/setleds -D +num < "$tty"
+done

/usr/lib/initcpio/install/numlock

@@ -0,0 +1,28 @@

+#!/bin/bash
+
+build() {
+    add_binary /bin/bash
+    add_binary /usr/bin/setleds
+    add_binary /usr/bin/numlock
+
+    cat >"$BUILDROOT/usr/lib/systemd/system/numlock.service" <<EOF
+[Unit]
+Description=Numlock before LUKS
+Before=cryptsetup-pre.target
+DefaultDependencies=no
+[Service]
+Type=oneshot
+RemainAfterExit=yes
+ExecStart=/usr/bin/numlock
+EOF
+    add_systemd_unit cryptsetup-pre.target
+    cd "$BUILDROOT/usr/lib/systemd/system/sysinit.target.wants" || exit
+    ln -sf /usr/lib/systemd/system/cryptsetup-pre.target cryptsetup-pre.target
+    ln -sf /usr/lib/systemd/system/numlock.service numlock.service
+}
+
+help() {
+    cat <<HELPEOF
+This hook adds support to enable numlock before sd-encrypt hook is run.
+HELPEOF
+}